## org.apache.lucene.search
Interface RMIRemoteSearchable

All Superinterfaces:
  java.rmi.Remote, org.apache.lucene.search.Searchable

All Known Implementing Classes:
  RemoteSearchable

    public interface RMIRemoteSearchable

extends org.apache.lucene.search.Searchable, java.rmi.Remote

Marker interface to enable subclasses of `Searchable` to be used via Java RMI. Classes implementing this interface can be used as a RMI - "remote object".

`RMIRemoteSearchable` extends `Searchable` and can transparently be used as a such.

Example usage:

       RMIRemoteSearchable remoteObject = ...;
       String remoteObjectName = ...;
       Naming.rebind (remoteObjectName, remoteObject);
       Searchable luceneSearchable = (Searchable) Naming.lookup (remoteObjectName);

Version:
  $Id:$

Method Summary

Methods inherited from interface org.apache.lucene.search.Searchable
`close, doc, doc, docFreq, docFreqs, explain, maxDoc, rewrite, search, search, search, search`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.